<?
echo'<div class="app-block">';
$note_komm = DB :: $pdo -> queryFetch("SELECT * FROM `blog_comments` WHERE `id` = '".intval($_GET['edit_komm'])."' AND `id_user` = '".$user['id']."' AND `id_note` = '".$note['id']."' AND `time` > '".(time()-600)."' LIMIT 1");
if (isset($_POST['cfms']))
{
    if (!isset($_POST['message']) || $_POST['message']==NULL)
    {
    	$error = "Вы должны что-то написать!";
    } else {
        $message = system :: check($_POST['message']);
    	if (DB :: $pdo -> query("UPDATE `blog_comments` SET `message` = '".$message."' WHERE `id` = '".$note_komm['id']."' LIMIT 1"))
        {
            system :: redirect("Сообщение успешно сохранено.", "/blog/?note=".$note['id']."&edit_komm=".$note_komm['id']."");
    	} else {
    		$error = "Неизвестная ошибка.!";
    	}
    }
}
if (isset($error))
{
?>
    <div class="list _gray _font-s _center"><?echo stripcslashes(htmlspecialchars($error));?></div>
<?
}
?>
<div class="list">
    <form method="post" action="/blog/?note=<?echo $note['id'];?>&edit_komm=<?echo $note_komm['id'];?>">
        <div class="list_blog2">
            <div class="list_blog9">
                Комментарий:
            </div>
            <textarea name="message"><?echo stripcslashes(htmlspecialchars($note_komm['message']));?></textarea>
        </div>
        <div class="list_blog3">
            <input class="main-btn" type="submit" name="cfms" value="Сохранить" />
        </div>
    </form>
</div>
<?
echo system :: touch("/blog/?note=".$note['id']."", system :: icon("arr-l")."Назад");
require (CORE."foot.php");
?>